Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.configuration
Interface SshAPIConfiguration

All Known Implementing Classes:
  SshAPIConfiguration, SshAPIConfiguration

public interface SshAPIConfiguration

DOCUMENT ME!

Method Summary
`java.util.List` | `getAuthenticationExtensions()` DOCUMENT ME!
`java.util.List` | `getCipherExtensions()` DOCUMENT ME!
`java.util.List` | `getCompressionExtensions()` DOCUMENT ME!
`java.lang.String` | `getDefaultCipher()` DOCUMENT ME!
`java.lang.String` | `getDefaultCompression()` DOCUMENT ME!
`java.lang.String` | `getDefaultKeyExchange()` DOCUMENT ME!
`java.lang.String` | `getDefaultMac()` DOCUMENT ME!
`java.lang.String` | `getDefaultPrivateKeyFormat()` DOCUMENT ME!
`java.lang.String` | `getDefaultPublicKey()` DOCUMENT ME!
`java.lang.String` | `getDefaultPublicKeyFormat()` DOCUMENT ME!
`java.util.List` | `getKeyExchangeExtensions()` DOCUMENT ME!
`java.util.List` | `getMacExtensions()` DOCUMENT ME!
`java.util.List` | `getPrivateKeyFormats()` DOCUMENT ME!
`java.util.List` | `getPublicKeyExtensions()` DOCUMENT ME!
`java.util.List` | `getPublicKeyFormats()` DOCUMENT ME!

Method Detail

### getCompressionExtensions

    public java.util.List getCompressionExtensions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getCipherExtensions

    public java.util.List getCipherExtensions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMacExtensions

    public java.util.List getMacExtensions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAuthenticationExtensions

    public java.util.List getAuthenticationExtensions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPublicKeyExtensions

    public java.util.List getPublicKeyExtensions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getKeyExchangeExtensions

    public java.util.List getKeyExchangeExtensions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultCipher

    public java.lang.String getDefaultCipher()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultMac

    public java.lang.String getDefaultMac()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultCompression

    public java.lang.String getDefaultCompression()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultPublicKey

    public java.lang.String getDefaultPublicKey()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultKeyExchange

    public java.lang.String getDefaultKeyExchange()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultPublicKeyFormat

    public java.lang.String getDefaultPublicKeyFormat()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultPrivateKeyFormat

    public java.lang.String getDefaultPrivateKeyFormat()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPublicKeyFormats

    public java.util.List getPublicKeyFormats()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrivateKeyFormats

    public java.util.List getPrivateKeyFormats()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD